#!/bin/bash

export LANG=en_US

current_time_data=$(date -d "$(date +%Y-%m-%d)" +%s)

expires_time=$(chage -l $SUDO_USER | grep "^Password expires" | awk -F ": " '{print $NF}')
if [ "$expires_time" == "never" ]; then
	echo "0"
	exit 0
fi

expires_time_data=$(date -d "$expires_time" +%s)

if [ $current_time_data -lt $expires_time_data ]; then
	if [ $(($expires_time_data - $current_time_data)) -gt  604800 ]; then
		echo "0"
	else
		echo "1"
	fi
else
	echo "2"
fi


